<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Prestasi</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-2 my-md-2 bd-layout">
  <div th:include="sidebar/sidebar_register::sidebar_register" th:remove="tag"> sidebar </div>

  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
          <span>Prestasi dan penghargaan</span>
        </div>
      </div>
    </div>
  <div class="row">
    <div class="col-md-12">
      <div class="card bg-body bg-opacity-50 shadow-sm">
<!--        <div class="card-header">-->
<!--          <h4>List</h4>-->
<!--        </div>-->
        <div class="card-body"><button th:if="${submit == null}" type="button" class="btn btn-primary rounded-pill" style="--bs-btn-bg: #15408d; background-image: var(--bs-gradient);" data-bs-toggle="modal" data-bs-target="#exampleModal">
          Tambah Data
        </button>
          <br>

          <!-- Modal -->
          <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
              <form th:action="@{/form/prestasi}" method="post" enctype="multipart/form-data">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Prestasi</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                  </div>
                  <div class="modal-body">
                    <div class="mb-3">
                      <label>Nama Penghargaan</label>
                      <input type="text" name="namaPenghargaan" class="form-control" required>
                    </div>
                    <div class="mb-3">
                      <label>Bidang</label>
                      <input type="text" name="bidang" class="form-control" required>
                    </div>
                    <div class="mb-3">
                      <label>Pemberi Penghargaan</label>
                      <input type="text" name="pemberiPenghargaan" class="form-control" required>
                    </div>
                    <div class="mb-3">
                      <label>Tahun</label>
                      <input type="text" name="tahun" class="form-control" required>
                    </div>
                    <div class="mb-3">
                      <label>Tingkat</label>
                      <select name="tingkat" class="form-select" required>
                        <option value="" selected disabled>-- Pilih --</option>
                        <option value="Lokal">Lokal</option>
                        <option value="Nasional">Nasional</option>
                        <option value="Internasional">Internasional</option>
                      </select>
                    </div>
                    <div class="mb-3">
                      <label>Keterangan</label>
                      <input type="text" name="keterangan" class="form-control">
                    </div>
                    <div class="mb-3">
                      <label>Upload File Pendukung</label>
                      <input type="file" class="form-control" name="image">
                    </div>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary rounded-pill" data-bs-dismiss="modal">Tutup</button>
                    <button type="submit" class="btn btn-primary rounded-pill">Simpan</button>
                  </div>
                </div>
              </form>
            </div>
          </div>
          <br>
          <div class="table-responsive">
            <table class="table table-hover table-striped small">
              <thead class="table-dark" style="--bs-table-bg:#15408d;">
              <tr>
                <th>#</th>
                <th>Nama Penghargaan</th>
                <th>Bidang Penghargaan</th>
                <th>Pemberi Penghargaan</th>
                <th>Tahun</th>
                <th>Tingkat</th>
                <th>Keterangan</th>
                <th></th>
                <th></th>
              </tr>
              </thead>
              <tbody>
              <tr class="align-middle" th:each="data, row:${list}">
                <td th:text="${(row.index + 1)}"></td>
                <td th:text="${data.namaPenghargaan}"></td>
                <td th:text="${data.bidang}"></td>
                <td th:text="${data.pemberiPenghargaan}"></td>
                <td th:text="${data.tahun}"></td>
                <td th:text="${data.tingkat}"></td>
                <td th:text="${data.keterangan}"></td>
                <td>
                  <a th:href="@{/form/prestasi/{prestasi}/(prestasi = ${data.id})}" target="_blank" class="btn btn-warning btn-sm">Lihat File Upload</a>
                </td>
                <td>
                  <form th:if="${submit == null}" method="post" th:action="@{/form/delete/prestasi(prestasi=${data.id})}">
                    <button type="submit" class="btn btn-danger btn-sm"
                            onclick="return confirm('Are you sure want to delete this?')">
                      hapus
                    </button>
                  </form>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
        <div class="card-footer">
          <div class="row">
            <div class="col-md-5 col-sm-5">
              <div th:if="${submit != null}"><div class="alert alert-warning p-2" th:text="${submit}"></div></div>
            </div>
            <div class="col-md-7 col-sm-7" style="text-align: right;">
              <a th:href="@{/form/simposium}" class="btn btn-success rounded-pill">Selanjutnya</a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  </main>
</main>
</body>
</html>